Subject: [manet] Re: RE: [manet] MPLS

From: "����" <[email-masked]>
Date: Wed, 14 Aug 2002 10:55:42 +0800 (CST)

Firstly, I think this thread should go to MPLS maillist :)

I Agree with Albert,except this: 
> MPLS can't do this, however Generalized MPLS (GMPLS), being developed in the > IPO wg of the IETF, aims at doing just that.
MPLS sure can set up a LSP(Label Switch Path), however, this path is bounded to default routing route. It is better to say that MPLS can't set up a traffic engineering LSP (which is different from default route) dynamically NOW. 
  I explain to my student that MPLS turn IP network into a connection-oriented network with little cost. It works like a changing of a traveling scheme.
  Old IP forwarding, like a self-serving traveller, with a destination address in hand, ask every person he met when he goes to every city. People will show him the way by examine the address in his hand.
  With MPLS, this traveller should join a travel group(we say he belongs to some FEC),the travel agency just give him a hat(label),with this hat on, every people on the transpassing way knows that where he want to go, and show him the way without examining the destination address in his hands(these people are already informed by the travel agency before this traveller come).
  This analogy is not rigid(hat should be changed at each site,etc :))
  With connection nature, MPLS can show many advantages than ordinary IP networks, such as traffic engineering, QoS support,etc. That is why MPLS is attractive to most people.

Hai Wang